Subject: Re: [PATCH] usb: hso: obey DMA rules in tiocmget

From: Oliver Neukum <[email-masked]>
Date: Thu, 17 Oct 2019 22:35:10 +0200

Am Donnerstag, den 17.10.2019, 14:20 -0400 schrieb David Miller:
> From: David Miller <[email-masked]>
> Date: Thu, 17 Oct 2019 14:19:55 -0400 (EDT)
> 
> > From: Oliver Neukum <[email-masked]>
> > Date: Thu, 17 Oct 2019 11:53:38 +0200
> > 
> > > The serial state information must not be embedded into another
> > > data structure, as this interferes with cache handling for DMA
> > > on architectures without cache coherence..
> > > That would result in data corruption on some architectures
> > > Allocating it separately.
> > > 
> > > Signed-off-by: Oliver Neukum <[email-masked]>
> > 
> > Applied, thanks Oliver.
> 
> Ugh, Oliver did you even build test this?
> 
> drivers/net/usb/hso.c:189:9: error: expected ‘{’ before ‘*’ token
>   189 |  struct *hso_serial_state_notification serial_state_notification;
> 
> Seriously, I expect better from an experienced developer such as
> yourself.

Sorry, that is why I sent a v2. I built it, but not alone. I have
a cleanup series for that driver in the works.

	Sorry
		Oliver